/* Reset and Base Styles */
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  
}

:root {
  --bright-color: #8bc34a;
  --text-color: #fffff0;
  --button-color: darkgreen;
  --title-color: darkgreen;
}

/* Typography */
h1, h2, h3 {
  font-family: cursive, sans-serif;
}

/* Header Styles */
header {
  display: flex;
  flex-direction: row;
  background-color: #678a7e;
  text-align: center;
  align-items: center;
  justify-content: space-between;
  height: 10vh;
  padding: 20px;
  overflow-y: hidden;
}

header a {

  text-decoration: none;
  color: var(--text-color);
  font-size: 1.2em;
  font-weight: bolder;
  transition: all 0.5s;
}

/* Logo Styles */
.logo {
  width: 30%;
  height: auto;
  display:block;
}

.logo > img {
  width: 20vw;
  height: auto;
}

/* Navigation Styles */
.navItems{
  display: flex;
  flex-direction: row;
}
.navItems a:hover{
  background-color: var(--bright-color);
  padding: 5px;
  border-radius: 20px;
}
header li {
  list-style: none;
  padding: 5px 14px;
}

.menu {
  display: flex;
  gap: 1em;
  font-size: 18px;
}


input[type="checkbox"] {
  display: none;
}



/* Hamburger Menu Styles */
.hamburger {
  display: none;
  color: var(--bright-color);
  font-size: 40px;
  user-select: none;
}
.divider{
  display: none;
}
/* Media Query for Hamburger Menu */
@media screen and (max-width: 900px) {
  .logo {
    width: 50vw;
  }

  .logo > img {
    width: 40vw;
    height: auto;
  }

  .navItems {
    display: none; 
    flex-direction: column;
  }
  #checkbox_toggle:checked ~ .navItems {
    display: block;
    position: absolute;
    z-index:3;
    background-color: rgba(103, 138, 126, 1);
    width: 100%;
  }
  
  input[type="checkbox"]:checked ~ nav .navItems {
    display: flex;
    flex-direction: column; /* display items vertically */
  }


  .menu {
    width: 100vw;
    flex-direction: column;
    position: absolute;
    text-align: center;
    padding: 16px;
    background-color: rgba(103, 138, 126, 1);
    z-index: 2;
  }

  .hamburger {
    display: block;
    color: var(--bright-color);
  }

}


/*hero page*/
#hero-page {
  height: 100%;
  width: 100%;
}

.hero-image {
  height: 100vh;
  width: 100%;
  background-image: url(../images/tea-in-glass.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  position: relative;
  overflow-y: hidden;
}
.overlay {
  width: inherit;
  height: inherit;
  background-color: rgba(0, 0, 0, 0.4);
  position: absolute;
}

.hero-text {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  line-height: 90px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%); 
  z-index: 1;
  margin-left: 5em;
  text-align: center;
}

.beautiful-text {
  color: var(--text-color);
  font-size: clamp(2rem, 8vw, 6rem);
  overflow: hidden;
}

.fadeIn {
  opacity: 0;
  transform: translateY(20px);
  animation: fadeInUp 0.5s forwards;
}

.fadeIn:nth-child(1) {
  animation-delay: 0.5s;
}
.fadeIn:nth-child(2) {
  animation-delay: 1s;
}
.fadeIn:nth-child(3) {
  animation-delay: 1.5s;
}

@keyframes fadeInUp {
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
.slogan {
  color: var(--text-color);
  font-size: 2vw;
  text-align: center;
}
.shop-btn {
  display: inline-flex;
  background-color: var(--button-color);
  align-items: center; 
  padding: 10px 20px; 
  height: 60px; 
  width:auto; 
  font-size: 1.2em;
  font-weight: bold;
  color: var(--text-color);
  text-decoration: none;
  cursor: pointer;
  border-radius: 25px; 
  transition: background-color 0.3s ease, color 0.3s ease;
  overflow: hidden;
}

.shop-btn:hover {
  background-color: hsla(120, 30%, 25%, 1);
}
.info {
  display: flex;
  justify-content: center;
  margin: 10px auto;
  width: 80vw;
  position: relative;
  top: -70px;
}
.info-text {
  border: none;
  height: 15vh;
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #333;
  font-size: 20px;
  font-weight: bold;
  z-index: 3;
  cursor: pointer;
}
.info-text > .fa {
  color: forestgreen;
  font-size: 40px;
  margin-right: 10px;
}

.info-text > a {
  text-decoration: none;
  margin-left: 5px;
  display: inline-block;
  color: var(--bright-color);
  font-weight: bolder;
}
.perks{
  margin-left: 5px;
  display: inline-block;
  color: var(--bright-color);
  font-weight: bolder;
}
.delivery {
  border-radius: 60px 0px 0px 60px;
  background-color: #d4f8e8;
}
.customer-service {
  color: var(--text-color);
  border-left: 0px solid;
  border-right: 0px solid;
  background-color: #2f4f4e;
}
.payment {
  color: var(--text-color);
  border-radius: 0px 60px 60px 0px;
  background-color: #5e9ea0;
}

@media screen and (max-width: 900px) {
  .hover-text {
    transition: 0.2s ease-in-out;
  }
  .hover-text:hover {
    color: var(--text-color);
  }
  .hero-text {
    position: relative;
    bottom: 10px;
    margin:0 auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  .beautiful-text {
    font-size: clamp(1.5rem, 6vw, 4rem); 
    line-height: 1.2;
  }
  

  .slogan {
    color: var(--text-color);
    font-size: 5.5vw;
    text-align: center;
  }
  .shop-btn {
    width: 100%; 
    max-width: 130px;
    font-size: 16px;
    overflow: hidden;
    margin-top: 10px;
   
  }

  .info {
    margin: 0;
    width: 100vw;
    height: 40vh;
    display: flex;
    flex-direction: column;
    position: relative;
    top: 0px;
  }
  .info-text {
    border-radius: 0px;
    flex: 1;
    margin:0;
    font-size:0.875rem
  }
  .info-text > .fa {
    font-size: 1.5rem; /* 24px */
  }
  
}

/*about styling*/
#about {
  margin-bottom: 5rem;
}

.about-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  padding: 20px;
}

.about-title {
  font-size: 30px;
  color: var(--title-color);
  font-weight: bolder;
  margin-bottom: 10px;
}

.about-subtitles {
  color: #555;
  font-size: 24px;
  margin-bottom: 20px;
}

#extra-content {
  display: none;
}

#displayDots {
  display: inline;
  font-weight: bold;
}

.about-content-one {
  max-width: 800px;
  margin: 0 auto;
}

.btn-div > button {
  background-color: var(--button-color);
  padding: 15px;
  text-align: center;
  cursor: pointer;
  font-size: 18px;
  margin: 15px;
  width: 200px;
  border: none;
  border-radius: 50px;
  color: #fff;
  transition: background-color 0.3s ease;
}

.btn-div > button:hover {
  background-color: #5e9ea0;
}

.btn-div > button:hover:after {
  content: " »";
}

.qualities-text {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  align-items: center;
  max-width: 800px;
  margin: 0 auto;
}

.qualities-text > div {
  text-align: center;
  padding: 20px;
}

.qualities-text * .fa {
  font-size: 36px;
  color: #4caf50;
  margin-bottom: 10px;
}

.qualities-text * h3 {
  font-family: "Montserrat", sans-serif;
  font-weight: bold;
  color: #333;
  font-size: 16px;
}

.horizontal {
  height: 1px;
  width: 100%;
  background-color: #4caf50;
  margin: 20px 0;
}

@media screen and (max-width: 800px) {
  .about-content {
    width: 100%;
  }

  .about-subtitles {
    font-size: 24px;
  }

  .qualities-text > div {
    width: 100%;
  }
}

/* styling product-carousel section*/
#product {
  background-color: #d4f8e8;
  height: 60rem;
  padding: 4rem 0;
  width: 100%;
  height: auto;
  max-width: 100%;
}
.product-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: relative;
  top: 1rem;
  width: 80%;
  margin: 20px auto;
  padding: 2rem;
}

.des-text {
  margin-bottom: 3rem;
  text-align: center;
  color: #333;
}

.des-text h1 {
  font-size: 2.5rem;
  margin-bottom: 0.5rem;
  color: darkgreen/* #00796b*/;
}

.des-text h2 {
  font-size: 1.8rem;
  margin-bottom: 1rem;
  color: #004d40;
}

.des-text p {
  font-size: 1.2rem;
  color: #00695c;
}

.carousel-container {
  overflow: hidden;
  margin-top: 2rem;
  width: 100%;
}

.carousel {
  display: flex;
  transition: transform 0.5s ease;
  overflow-x: unset;
}

.slide {
  box-sizing: border-box;
  flex: 0 0 33.33%; /* Display three slides at a time */
  padding: 0 10px;
  position: relative;
}

.slide img {
  width: 100%;
  height: 70%;
  border-radius: 5px;
  border: 1px lightgreen solid;
  object-fit: cover;
  border-radius: 10px;
}

/* Media query for smaller screens */
@media screen and (max-width: 768px) {
  .slide {
    flex: 0 0 100%; /* Display one slide at a time on smaller screens */
    padding: 0;
  }
}

.caption {
  text-align: center;
  position: absolute;
  bottom: 20px;
  left: 50%;
  transform: translateX(-50%);
  opacity: 0;
  transition: opacity 0.3s ease-in-out;
  background-color: rgba(255, 255, 255, 0.9);
  padding: 10px;
  border-radius: 5px;
  z-index:100;
}

.slide:hover .caption {
  opacity: 1;
}

.product_name {
  display: block;
  margin-bottom: 15px;
  font-size: larger;
}

.scroll-buttons {
  margin-top: 5px;
}
.scroll-btn {
  background-color: #4caf50;
  color: black;
  border: none;
  border-radius: 50%;
  width: 40px;
  height: 40px;
  padding: 10px;
  cursor: pointer;
  opacity: 0.8;
  transition: opacity 0.3s ease;
  font-size: 16px;
  font-weight: bold;
}

.scroll-btn:hover {
  opacity: 1;
}

#scrollLeft {
  margin-right: 10px;
}

#scrollRight {
  margin-left: 10px;
}

.more-products {
  margin-top: 20px;
}

.more-products a {
  text-decoration: none;
  color: #333;
  font-weight: bold;
  font-size: 16px;
  border: 2px solid var(--bright-color);
  padding: 10px 20px;
  border-radius: 50px;
  display: inline-block;
  transition: background-color 0.3s ease;
}

.more-products a:hover {
  background-color: #4caf50;
  color: #fff;
}

/* Know More article styling*/
.knowmore {

  background: url("../images/cupandplant.jpg") no-repeat;
  background-size: cover;
  background-color: green;
  color:  var(--text-color);
  padding: 4rem 0;
  width:100%;
  font-weight: bolder;
}
.note {
  color: gold;
}
.knowmore-wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
  max-width: 100%;
  margin: 0 auto;
  overflow: hidden;
}

.knowmore-text-content {
  flex: 1;
  text-align: center;
  
}
.knowmore-text-content h2, .knowmore-text-content p{
  color: var(--text-color);
  font-weight: bolder;
  background-color: rgba(0, 77, 64, 0.5);
}
.knowmore h1 {
  color: var(--text-color);
  background-color: rgba(0, 77, 64, 0.5);
  font-size: 2.5rem;
  margin-bottom: 10px;
}

.knowmore h2 {
  color: var(--text-color);
  font-size: 1.8rem;
  margin-bottom: 20px;

}
.knowmore ul {
  margin:10px;
  padding: 4%;
}
.knowmore li {
  font-size: 1em;
  display: flex;
  align-items: center;
  margin-bottom: 15px;
  transition: transform 0.3s ease-in-out;
}

.knowmore li:hover {
  transform: scale(1.05);
  color: var(--bright-color);
}

.icon {
  margin-right: 10px;
  max-width: 30px;
  max-height: 30px;
}
.read-more-btn {
  display: inline-block;
  padding: 10px 15px;
  background-color: #4caf50;
  color: #fff;
  text-decoration: none;
  border-radius: 25px;
  transition: background-color 0.3s ease-in-out;
 
 
}
@media screen and (max-width: 600px) {
  .knowmore{
    background-size: cover; /* Add this line */
    background-position: center; 
  }
  .read-more-btn {
    min-width: 60px; /* Adjust this value for smaller screens */
  }
  .knowmore li{
    font-size: 1em;
  }
}

.read-more-btn:hover {
  background-color: #45a049;

}

/*blog styling */

#blog {
  background-color: #f5f8f2;
  padding: 50px 0;
  text-align: center;
}

.blog-container {
  max-width: 800px;
  margin: 0 auto;
}

.blog-title {
  color:darkgreen;
  font-size: 3em;
  margin-bottom: 20px;
}

.blog-posts {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
  gap: 20px;
  justify-content: center;
}
.blog-post {
  overflow: hidden;
  border-radius: 8px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  background-color: #fff;
  transition: box-shadow 0.3s ease-in-out;
}

.blog-post:hover {
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.5);
}

.blog-post img {
  width: 100%;
  height: auto;
  min-height: 200px;
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
}

.blog-post-content {
  padding: 20px;
}

.blog-post-title {
  font-size: 1.2em;
  margin-bottom: 10px;
  color:darkgreen;
}

.blog-post-date {
  color: #888;
  margin-bottom: 10px;
}

.blog-post-excerpt {
  line-height: 1.6;
}

.blog-btn {
  display: inline-block;
  padding: 10px 15px;
  background-color: var(--button-color);
  color: #fff;
  text-decoration: none;
  border-radius: 25px;
  transition: background-color 0.3s ease-in-out;
}

.blog-btn:hover {
  background-color: #45a049;
}
 /*blog article styling*/
 .blog-article {
  overflow: hidden;
  border-radius: 8px;
  background-color: #fff;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  font-size: 1.3rem;

}

.blog-article img {
  width: 50%;
  height: auto;
  min-height: 200px;
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
}

/* styling footer */
footer {
  background-color: #678a7e;
  position: relative;
}
footer .logo {
  margin: 0 auto;
  padding: 30px;
}
.main-footer-content {
  display: flex;
  justify-content: center;
  align-items: center;
}
.footer-columns {
  margin: 30px;
  width: 50%;
  display: flex;
  flex-wrap: wrap;
}

.footer-column {
  width: calc(50% - 20px);
  margin-bottom: 20px;
  box-sizing: border-box;
}
.footer-column ul {
  margin-top: 10px;
}
.footer-column li {
  list-style: none;
  margin: 10px;
  transition: 0.3s ease-in-out;
  color: var(--text-color);
  font-size: 1.1em;
  font-weight: bold;
}
.footer-column li:hover {
  transform: scale(1.02);
}
.footer-column h3, .newsletter-signup h3 {
  color: var(--bright-color);
  font-weight: bolder;
  font-size: 2em;
}
.footer-column a {
  text-decoration: none;
  color: var(--text-color);
  font-size: 1.1em;
  font-weight: bold;
}

.newsletter-signup {
  text-align: center;
}

.newsletter-signup form {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
}

.newsletter-signup input[type="email"] {
  width: 80%;
  max-width: 400px;
  padding: 10px;
  margin: 8px 0;
  box-sizing: border-box;
  border: 1px solid #ccc;
  border-radius: 4px;
  font-size: 1em;
}

.newsletter-signup button {
  width: 80%;
  max-width: 400px;
  padding: 10px;
  background-color: #4caf50;
  color: #fff;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  font-size: 1em;
}

.newsletter-signup button:hover {
  background-color: #45a049;
}

.checkbox-div {
  margin-top: 10px;
  text-align: left;
  width: 80%;
  max-width: 400px;
}
#newsletter-checkbox {
  display: inline;
}
.newsletter-signup label {
  color: #555;
}
.copyright {
  font-family: "Great Vibes", cursive !important;
  text-align: center;
  padding: 10px;
  color: darkgreen;
  background-color: var(--bright-color);
  width: 100%;
  opacity: 1;
  font-weight: bold;
}
.up-btn {
  position: fixed;
  bottom: 20px;
  right: 20px;
  font-size: 30px;
  border-radius: 50%;
  height: 50px;
  width: 50px;
  background-color: var(--bright-color);
  text-align: center;
  align-items: center;
  display: flex;
  justify-content: center;
  z-index: 1000;
}
.up-btn a {
  color: green;
  display: block;
}
@media (max-width: 768px) {
  .main-footer-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  .newsletter-signup input[type="email"] {
    width: 80%;
  }
  .newsletter-signup button {
    width: 80%;
  }
  .footer-column {
    width: 100%;
  }
}

#location-and-contact {
  text-align: center;
  padding: 50px;
  position: relative;
  overflow: hidden;
}
#location-and-contact h1{
  font-size: 30px;
}
#location-and-contact h1,
#location-and-contact h2 {
  color: var(--title-color);
}
.teahouse-info {
  color: #333;
}
.location-image {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.location-image img {
  width: 640px;
  height: 430px;
  border-radius: 50%;
  margin: 20px;
  flex: 1;
}
.map {
  color: var(--text-color);
  flex: 1;
}
.map iframe {
  margin: 10px;
  border-radius: 10px;
  height: 430px;
}
@media screen and (max-width: 768px) {
  .location-image img {
    width: 100%;
    max-width: 640px;
  }
  .map iframe {
    height: 100%;
    max-height: 430px;
  }
  .location-image {
    display: flex;
    flex-direction: column;
  }
  table{
    width:100%;
  }
}
.opening-times {
  margin-top: 20px;
  margin-top: 20px;
}

table {
  width: 100%;
  border-collapse: collapse;
  margin-top: 20px;
  font-size: 1.2rem; 
    padding: 10px; 
}

th,
td {
  border: 1px solid #ddd;
  padding: 15px;
  text-align: center;
}

th {
  background-color: #678a7e;
  color: white;
}

td {
  background-color: #ecf0f1;
}


#contact-strip {
  text-align: center;
  padding: 20px;
  background-color: #f5f5f5;
}

#contact-strip h3 {
  color: var(--title-color);
  margin-bottom: 10px;
}

#contact-strip p {
  color: #333;
  font-size: 16px;
  margin: 5px 0;
}

@media screen and (max-width: 767px) {
  #contact-strip {
    padding: 15px;
  }

  #contact-strip h3 {
    font-size: 18px;
  }

  #contact-strip p {
    font-size: 14px;
  }
}
/* styling product page */
.search-bar {
  width: 100%;
  display: flex;
  height: 20vh;
  justify-content: center;
  align-items: center;
  background-color: #f5f8f2;
}
#search-input {
  width: 30vw;
  height: 6vh;
  border-radius: 25px;
  text-align: center;
  font-size: 1em;
  border: 1px solid rgba(0, 128, 0, 0.3);
  outline-color: green;
}
.search-elem button {
  border: none;
  background-color: transparent;
  font-size: 1.5em;
  position: relative;
  right: 60px;
  top: 5px;
}
select {
  padding: 2px;
  width: 25vw;
  height: 3.5vh;
  margin-right: 5px;
  font-size: 1.2em;
  border-radius: 25px;
  border: none;
  cursor: pointer;
  background-color: #f5f8f2;
  outline: green;
}

option {
  padding: 10px;
  font-size: 1em;
  text-align: center;
}

.filter-btn {
  padding: 10px 20px;
  font-size: 1em;
  background-color: #4caf50;
  border-radius: 25px;
  border: none;
}
.filter-btn:hover {
  background-color: rgba(76, 175, 80, 0.2);
}

/* Styling product pages content */
.fa-search {
  color: var(--bright-color);
}main {
  max-width: 1200px;
  margin: 40px auto;
  padding: 20px;
  background-color: #fff;
  border-radius: 8px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

h1 {
  text-align: center;
  margin-bottom: 20px;
  font-size: 2em;

}
.product-price, h1{
  color: darkgreen
}
.product-tile {
  display: flex;
  flex-wrap: wrap;
  margin-bottom: 20px;
  padding: 20px;
  border: 1px solid #ccc;
  border-radius: 8px;
  transition: box-shadow 0.3s;
}

.product-tile:hover {
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.product-image {
  flex: 1;
  max-width: 150px;
}

.product-image img {
  width: 100%;
  border-radius: 8px;
}

.product-details {
  flex: 3;
  margin-left: 20px;
}

.product-name {
  font-size: 1.2em;
  font-weight: bold;
  margin-bottom: 10px;
}

.product-price {
  font-size: 1.1em;
  margin-bottom: 10px;
}
.product-details button {
  background-color: #27ae60;
  color: #fff;
  border: none;
  padding: 8px 15px;
  border-radius: 4px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}
.purchase-input {
  width: 50px;
  padding: 5px;
  border: 1px solid #ccc;
  border-radius: 4px;
}





details {
  margin-top: 20px;
}

summary {
  cursor: pointer;
  font-weight: bold;
}

.descriptive-text {
  margin-top: 10px;
}

.descriptive-text h2 {
  margin-bottom: 10px;
  color: #27ae60;}

.descriptive-text ul, .descriptive-text ol {
  margin-left: 20px;
  margin-bottom: 20px;
}

/* Responsive Design */
@media (max-width: 768px) {
  main {
    padding: 10px;
  }

  h1 {
    font-size: 1.5em;
     }

  .product-tile {
    flex-direction: column;
    align-items: center;
  }

  .product-image {
    max-width: 100%;
    margin-bottom: 20px;
  }

  .product-details {
    margin-left: 0;
    text-align: center;
  }
  .product-image img {
    width: 10rem;
    height: 10rem;
    object-fit: cover;
    border-radius: 0.5rem;
  }
}

@media (max-width: 480px) {
  .product-tile {
    padding: 10px;
  }

  .product-name {
    font-size: 1em;
  }

  .product-price {
    font-size: 0.9em;
  }

  button[type="submit"] {
    padding: 5px;
    margin-left: 5px;
  }
 
  
}



/* Styling thank you page */
.tyc-wrapper {
  background: url("../images/teabackground.jpg") no-repeat;
  background-size:cover;
  background-color: #f0fdf4;
  text-align: center;
  padding: 50px;
  margin: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100vh;
  width: 100vw;
  overflow: hidden;
}
.thank-you-container {
  max-width: 600px;
  margin: 0 auto;
  background-color: #fff;
  padding: 30px;
  border-radius: 12px;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
}

.tyc-wrapper h1 {
  color: green;
  font-size: 2.5em;
  margin-bottom: 20px;
}

.tyc-wrapper p {
  color: #555;
  font-size: 1.2em;
  line-height: 1.5;
}

.tyc-wrapper img {
  max-width: 100%;
  height: auto;
  margin-top: 20px;
  border-radius: 8px;
}

.fun-text {
  font-size: 1.3em;
  color: #8e44ad;
  margin-top: 15px;
}

.social-icons {
  margin-top: 30px;
}

.social-icons a {
  display: inline-block;
  margin: 0 15px;
  text-decoration: none;
  color: #555;
  font-size: 1.5em;
  transition: color 0.3s ease-in-out;
}

.social-icons a:hover {
  color: var(--bright-color);
}

/* styling popular product page */

#pd-container {
  max-width: 800px;
  margin: 20px auto;
  background-color: #fff;
  padding: 20px;
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.pd-title {
  text-align: center;
  margin-bottom: 20px;
}

.pd-title h1 {
  color: #333;
  font-size: 28px;
}
.subtitle-box {
  background-color: #eaeaea;
  padding: 10px;
  border-radius: 8px;
  margin-bottom: 20px;
}

.subtitle {
  color: #555;
  font-size: 18px;
  font-style: italic;
  text-align: center;
}
.product-image img {
  max-width: 100%;
  height: auto;
  border-radius: 8px;
  margin-bottom: 20px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.product-content {
  line-height: 1.6;
}

iframe {
  max-width: 100%;
  border: none;
  border-radius: 8px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

#preparation-list {
  margin-top: 20px;
}

#preparation-list ol {
  padding-left: 20px;
}

#pd-container p {
  text-align: justify;
}

.click-here {
  color: #007bff;
  text-decoration: underline;
}

.product-content a:hover {
  color: #0056b3;
}


/* styling cart page*/
.cart-container {
  background: white;
  padding: 2rem;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  border-radius: 0.5rem;
  max-width: 600px;
  width: 100%;
  margin-top: 60px;
}

.cart-items {
  margin-bottom: 2rem;
}

.cart-item {
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-bottom: 1px solid #ddd;
  padding: 1rem 0;
}

.cart-product-image img {
  width: 10rem;
  height: 10rem;
  object-fit: cover;
  border-radius: 0.5rem;
}

.cart-product-details {
  flex: 1;
  margin-left: 1rem;
}

.cart-product-name {
  font-weight: bold;
  margin-bottom: 0.5rem;
}

.cart-product-price,
.cart-product-total-price {
  margin-bottom: 0.5rem;
}

.cart-product-quantity input {
  width: 50px;
}

.remove-item {
  background: none;
  border: none;
  color: #e74c3c;
  font-size: 1.5rem;
  cursor: pointer;
}

.cart-summary {
  border-top: 1px solid #ddd;
  padding-top: 1rem;
}

.summary-item {
  display: flex;
  justify-content: space-between;
  margin-bottom: 1rem;
}

.total {
  font-weight: bold;
}

.discount-code {
  margin-bottom: 1rem;
}

.discount-code input {
  width: calc(100% - 100px);
  padding: 0.5rem;
}

.apply-discount {
  padding: 0.5rem;
}

.checkout-btn {
  width: 100%;
  padding: 1rem;
  background-color: #2ecc71;
  color: white;
  border: none;
  border-radius: 0.5rem;
  cursor: pointer;
}

.checkout-btn:hover {
  background-color: #27ae60;
}
